library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_4s is
    generic(
        bitwidth        : integer := 4
    );
    port(
        N_7             : in     vl_logic_vector(3 downto 1);
        N_2             : in     vl_logic_vector(0 downto 0);
        clk_div         : in     vl_logic_vector(3 downto 0);
        N_5             : out    vl_logic_vector(3 downto 0);
        clk             : in     vl_logic;
        GlobalReset     : in     vl_logic;
        GlobalEnable1   : in     vl_logic
    );
end singleDelayWithEnableGeneric_4s;
